'use strict';

const tableConfig = require('./table-config-969d3038.js');
const viewConfig = require('./view-config-52c16db0.js');

class TakvimMeetingListViewConfig extends viewConfig.DvnAppViewConfig {
  static decode(json) {
    const model = Object.assign(Object.create(TakvimMeetingListViewConfig.prototype), json);
    model.table = tableConfig.TableConfig.decode(model.table);
    model.type = viewConfig.AppViewType.TakvimMeetingListViewTable;
    return model;
  }
}

exports.TakvimMeetingListViewConfig = TakvimMeetingListViewConfig;
